<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Address Book Home</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="./styles/home-styles.css" />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
    />
    <script
  src="https://code.jquery.com/jquery-3.6.0.js"
  integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk="
  crossorigin="anonymous"></script>
    <script src="../static/js/script.js"></script>
  </head>
  <body class="home-background">
    <div class="col-md-1" name="newButton">
        <div style="color: grey; margin-top: 10%">
          <i
            type="button"
            class="fa fa-plus-circle fa-4x" data-toggle="modal" data-target="#exampleModal"
            aria-hidden="true"
          ></i>
        </div>
      </div>
    <div class="row" id="cardsStack">
    </div>

    <!-- Modal -->
    <div  class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content" >
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">New Address</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-md-4">
                <label for="name">Name</label>
                <br>
                <label for="phone">city</label>
                <br>
                <label for="company">state</label>
                <br>
                <label for="company">Zip</label>
                <br>
                <label for="company">mobile number</label>
              </div>
              <div class="col-md-8">
                <input id="name" class="input" type="text" name="name" >
                <br>
                <input id="phone" class="input" type="text" name="phone" >
                <br>
                <input id="company" class="input" type="text" name="company" >
                <br>
                <input id="state" class="input" type="text" name="state" >
                <br>
                <input id="zip" class="input" type="text" name="zip" >
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancels</button>
            <button type="button" onclick="newAddress()" class="btn btn-primary">Save</button>
          </div>
        </div>
      </div>
    </div>
    <div  class="modal fade" id="updateModal" tabindex="-1" role="dialog" aria-labelledby="updateModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content" >
          <div class="modal-header">
            <h5 class="modal-title" id="updateModalLabel">New Address</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-md-4">
                <label for="name">Name</label>
                <br>
                <label for="phone">city</label>
                <br>
                <label for="company">state</label>
                <br>
                <label for="company">zip</label>
                <br>
                <label for="company">phone number</label>
              </div>
              <div class="col-md-8">
                <input id="updateName" class="input" type="text" name="name" >
                <br>
                <input id="updatePhone" class="input" type="text" name="phone" >
                <br>
                <input id="updateCompany" class="input" type="text" name="company" >
                <input id="updateState" class="input" type="text" name="state" >
                <input id="updateZip" class="input" type="text" name="zip" >
                <input id="updateId" class="input" type="hidden" name="company" >
                
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
            <button type="button" onclick="updateData()" class="btn btn-primary">Save</button>
          </div>
        </div>
      </div>
    </div>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
